Skip to main content

updateSamlIntegrationContactEmailDomains

Replaces the domains where an SSO integration also accepts a contact email; they never allow a login. A public email provider is refused with the code CONTACT_EMAIL_DOMAIN_PUBLIC_PROVIDER and the refused domains in extensions.domains

updateSamlIntegrationContactEmailDomains(
input: UpdateSamlIntegrationContactEmailDomainsInput!
): UpdateSamlIntegrationContactEmailDomainsPayload

Arguments​

updateSamlIntegrationContactEmailDomains.input ● UpdateSamlIntegrationContactEmailDomainsInput! non-null input​

Parameters for UpdateSamlIntegrationContactEmailDomains

Type​

UpdateSamlIntegrationContactEmailDomainsPayload object​

Autogenerated return type of UpdateSamlIntegrationContactEmailDomains.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the integrations query first and use data.integrations.collection[].id as integrationId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateSamlIntegrationContactEmailDomains($input: UpdateSamlIntegrationContactEmailDomainsInput!) {\n updateSamlIntegrationContactEmailDomains(input: $input) { clientMutationId integration { id accessProfileMappings { __typename } accessProfilesSource } }\n}","variables":{"input":{"integrationId":"<integration_id>","contactEmailDomains":["example"]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute